Bug 968087 - xorg-x11-server-1.14.1-2.fc19 causes firefox to crash xorg
xorg-x11-server-1.14.1-2.fc19 causes firefox to crash xorg
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 21:58 EDT by Jason Montleon
Modified: 2013-08-01 15:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:08:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2013-05-28 21:58:30 EDT
Description of problem:
Starting Firefox or Thunderbird while using xorg-x11-server-1.14.1-2.fc19 causes Xorg to crash back out to the login screen.

Version-Release number of selected component (if applicable):

How reproducible:
Always on this laptop

Steps to Reproduce:
1. Install Fedora 19
2. Upgrade to xorg-x11-server-1.14.1-2.fc19
3. Try to start Firefox (or Thunderbird)

Actual results:
Session crashes to login

Expected results:
Firefox starts normally.

Additional info:
Downgrading to xorg-x11-server-Xorg-1.14.1-1.fc19.x86_64 gets it working again.

This seems restricted to my laptop using the Intel driver. I have two desktops with one with an nvidia and another with an ati card that are not affected. I tried to reboot several times, tried slightly older/new versions of Intel driver pulled from koji, and it had no effect.

xorg-x11-drv-intel-2.21.6-1.fc19.x86_64
kernel-3.9.4-300.fc19.x86_64

tailing the log got me this when I tried to run FF:
[    99.477] (**) Option "xkb_layout" "us"
[   140.439] (II) intel(0): EDID vendor "AUO", prod id 8940
[   140.439] (II) intel(0): Printing DDC gathered Modelines:
[   140.439] (II) intel(0): Modeline "1366x768"x0.0   73.30  1366 1382 1398 1550  768 771 785 788 -hsync -vsync (47.3 kHz eP)
[   145.859] (II) intel(0): EDID vendor "AUO", prod id 8940
[   145.859] (II) intel(0): Printing DDC gathered Modelines:
[   145.859] (II) intel(0): Modeline "1366x768"x0.0   73.30  1366 1382 1398 1550  768 771 785 788 -hsync -vsync (47.3 kHz eP)
[   145.861] (II) intel(0): EDID vendor "AUO", prod id 8940
[   145.861] (II) intel(0): Printing DDC gathered Modelines:
[   145.861] (II) intel(0): Modeline "1366x768"x0.0   73.30  1366 1382 1398 1550  768 771 785 788 -hsync -vsync (47.3 kHz eP)
[   194.782] (EE) 
[   194.782] (EE) Backtrace:
[   194.786] (EE) 0: /usr/bin/X (OsLookupColor+0x129) [0x46e539]
[   194.787] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x7f9416b5af9f]
[   194.788] (EE) 2: /usr/lib64/xorg/modules/extensions/libglx.so (_glthread_GetID+0x6c0d) [0x7f9411b25f9d]
[   194.788] (EE) 3: /usr/bin/X (SendErrorToClient+0x3f7) [0x436e47]
[   194.789] (EE) 4: /usr/bin/X (_init+0x3ab2) [0x429ae2]
[   194.850] (EE) 5: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7f9415795b75]
[   194.851] (EE) 6: /usr/bin/X (_start+0x29) [0x426741]
[   194.851] (EE) 7: ? (?+0x29) [0x29]
[   194.851] (EE) 
[   194.851] (EE) Segmentation fault at address 0x78
[   194.852] 
Fatal server error:
[   194.852] Caught signal 11 (Segmentation fault). Server aborting
[   194.852] 
[   194.852] (EE) 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[   194.852] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   194.852] (EE) 
[   194.852] (II) AIGLX: Suspending AIGLX clients for VT switch

lspci -vv for the Intel graphics card:

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device 0647
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 43
	Region 0: Memory at b3000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 3000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: feeff00c  Data: 41c1
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [a4] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: i915
Comment 1 Sergio Monteiro Basto 2013-07-14 21:54:46 EDT
https://admin.fedoraproject.org/updates/FEDORA-2013-5967/xorg-x11-server-1.12.4-7.fc17

2013-06-07 23:48:11 This update has been pushed to stable
Comment 2 Sergio Monteiro Basto 2013-07-14 22:02:01 EDT
sorry wrong bug 

for this xorg-x11-server-1.14.1-2.fc19 
you have some updates  
xorg-x11-server-1.14.2-4.fc19
 
and xorg-x11-server-1.14.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.14.2-5.fc19
Comment 3 Sergio Monteiro Basto 2013-08-01 14:02:10 EDT
you may update it with:

# su -c 'yum update xorg-x11-server-\*' 

you should get :
xorg-x11-server-Xorg-1.14.2-7.fc19

could you try and report back ?  please.
Comment 4 Jason Montleon 2013-08-01 14:18:22 EDT
I've not had a problem with this in a while.

Looking at the version I reported against and my yum log I see there have been several updates.

May 29 00:00:27 Updated: xorg-x11-server-Xorg-1.14.1-2.fc19.x86_64
Jun 05 08:40:55 Updated: xorg-x11-server-Xorg.x86_64 1.14.1-3.fc19
Jun 06 17:07:48 Updated: xorg-x11-server-Xorg.x86_64 1.14.1-4.fc19
Jul 12 10:05:14 Updated: xorg-x11-server-Xorg.x86_64 1.14.2-3.fc19
Jul 15 09:57:50 Updated: xorg-x11-server-Xorg.x86_64 1.14.2-4.fc19
Jul 20 09:21:36 Updated: xorg-x11-server-Xorg.x86_64 1.14.2-5.fc19
Jul 26 06:16:04 Updated: xorg-x11-server-Xorg.x86_64 1.14.2-7.fc19

So I think this can be safely closed.

Thanks!
Comment 5 Sergio Monteiro Basto 2013-08-01 15:08:39 EDT
OK I'm closing this bug as resolved, makes work easier for developers.

Note You need to log in before you can comment on or make changes to this bug.